; DMP.INI
;
; Config file for DMP.EXE
;

[StartUp]
; Use these entries to change the default behaviour of DMP

; Default cmdline (overrides DMP environment variable)
;CmdLine =

; Directory DMP will change to before searching for modules
; Useful if your modules are in only one directory
;DefaultDir =

; DMP automatically tries following extensions when given a filename
; without extension
DefaultExt = MOD STM NST AMF S3M 669 MTM FAR ZIP LZH LHA ARJ

; Following characters are used as channel identificators in
; instrument list (32 chars)
ChannelID = 123456789ABCDEFGHIJKLMNOPQRSTUVW

[Colors]
; This section defines the colors used in DMP, but if you're using
; a monochrome video, then DMP uses [MonoColors] section instead.

; Each entry defines one attribute, upper nibble is background color
; lower nibble is foreground color.

; NOTE! You can also use bright backgorund colors, because blinking
; is disabled (for example 3D2 uses "bright" black background).

; Here is a list of colors and matching numbers (in hexadecimal):

; BLACK     = 0         DARK GREY       = 8
; BLUE      = 1         BRIGHT BLUE     = 9
; GREEN     = 2         BRIGHT GREEN    = A
; CYAN      = 3         BRIGHT CYAN     = B
; RED       = 4         BRIGHT RED      = C
; MAGENTA   = 5         BRIGHT MAGENTA  = D
; BROWN     = 6         YELLOW          = E
; GREY      = 7         WHITE           = F

; Top line (the copyright)
Header = 0x4F

; Module playing info
Info1 = 0x17
Info2 = 0x1E

; 3D effect in track display
3D1 = 0x7F
3D2 = 0x8F
3D3 = 0x78

; Track info
Track = 0x78

; Volume bar colors
VolumeBar1 = 0x7A
VolumeBar2 = 0x7E
VolumeBar3 = 0x7C

; Instrument list colors
Instr1 = 0x1E
Instr2 = 0x1A
Instr3 = 0x1D

; Contact screen colors
Contact1 = 0x07
Contact2 = 0x0A

; Help screen colors
Help1 = 0x5F
Help2 = 0x5E



[MonoColors]

; Attributes on monochrome video adapters

; NORMAL    = 0x07
; REVERSE   = 0x70
; BRIGHT    = 0x0F
; BRIGHT REV= 0x74
; UNDERLINE = 0x01
; BRIGHT UND= 0x09

; Top line (the copyright)
Header = 0x7F

; Module playing info
Info1 = 0x07
Info2 = 0x0F

; 3D effect in track display
3D1 = 0x7F
3D2 = 0x8F
3D3 = 0x78

; Track info
Track = 0x78

; Volume bar colors
VolumeBar1 = 0x7F
VolumeBar2 = 0x7F
VolumeBar3 = 0x7F

; Instrument list colors
Instr1 = 0x07
Instr2 = 0x09
Instr3 = 0x0F

; Contact screen colors
Contact1 = 0x07
Contact2 = 0x0F

; Help screen colors
Help1 = 0x70
Help2 = 0x7F

;[VGAColors]
; Here you can specify the hardware palette of VGA
; For example white is 63 63 63 (red green blue)
; and bright yellow is 63 63 33
; By default all entries are commented out, so they don't affect the palette

;BLACK           = 00 00 00
;BLUE            = 00 00 42
;GREEN           = 00 42 00
;CYAN            = 00 42 42
;RED             = 42 00 00
;MAGENTA         = 42 00 42
;BROWN           = 42 21 00
;LIGHTGRAY       = 42 42 42
;DARKGRAY        = 21 21 21
;LIGHTBLUE       = 33 33 63
;LIGHTGREEN      = 33 63 33
;LIGHTCYAN       = 33 63 63
;LIGHTRED        = 63 33 33
;LIGHTMAGENTA    = 63 33 63
;YELLOW          = 63 63 33
;WHITE           = 63 63 63

[Unpack]
; This section defines a list of extensions that are archives and
; how to extract modules from them. You can have up to 10 different
; extensions

; Directory to put extracted modules into (must exist)
TempDir = C:\

; The syntax is:
;
; .XXX = command line
;
; Where .XXX is the archive extension and command line is how to extract
; modules from the archive
;
; Following characters have special meaning in command line
;
; first %s = name of the archive
; second %s = temp directory
;
; After DMP has extracted the modules it tries to play the extracted
; files in the temp directory and then deletes played files.
;
; Note that DMP plays *only* the newly created files in the directory,
; not the ones that were there already so you can use your normal TEMP
; directory for this purpose.

.ZIP = pkunzip -e -o %s %s
.LHA = lha e -m %s %s
.LZH = lha e -m %s %s
.ARJ = arj e -y %s %s

